Page MenuHomePhabricator

[Task] Enable identifier datatype on wikidata.org
Closed, ResolvedPublic

Description

This is scheduled for Feb 16th.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.Feb 3 2016, 1:28 PM
aude added a subscriber: aude.Feb 5 2016, 12:05 PM

this is enabled on test.wikidata.org. we plan to enable it on Wikidata on February 16, and in the next couple days after to convert properties to the new data type.

see https://lists.wikimedia.org/pipermail/wikidata/2016-February/008140.html for more technical details about the new data type

https://www.wikidata.org/wiki/User:Addshore/Identifiers has information on which properties to convert and discussion is there.

aude set Security to None.
aude added a comment.EditedFeb 5 2016, 4:40 PM

@note when converting properties to the new data type, we should run rebuildPropertyInfo.php --rebuild-all --force (if we have trouble with caching and stuff like wbgetentities not reflecting the change in data type on items using these properties)

Change 270965 had a related patch set uploaded (by Aude):
Enable external identifier data type on Wikidata

https://gerrit.wikimedia.org/r/270965

Change 270965 merged by jenkins-bot:
Enable external identifier data type on Wikidata

https://gerrit.wikimedia.org/r/270965

aude closed this task as Resolved.Feb 16 2016, 3:38 PM
aude claimed this task.
aude removed a project: Patch-For-Review.
aude moved this task from Backlog to Done on the Wikidata-Sprint-2016-02-16 board.